Subject: [homenet] [Errata Verified] RFC7788 (5021)

From: RFC Errata System <[email-masked]>
Date: Sun, 3 Jan 2021 00:14:53 -0800 (PST)

The following errata report has been verified for RFC7788,
"Home Networking Control Protocol". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5021

--------------------------------------
Status: Verified
Type: Technical

Reported by: Dirk Feytons <[email-masked]>
Date Reported: 2017-05-19
Verified by: Eric Vyncke (IESG)

Original Text
-------------
HNCP uses opaque 32-bit node identifiers
(DNCP_NODE_IDENTIFIER_LENGTH = 32).

Corrected Text
--------------
HNCP uses opaque 32-bit node identifiers
(DNCP_NODE_IDENTIFIER_LENGTH = 4).

Notes
-----
RFC 7787 (DNCP) in section 9 defines DNCP_NODE_IDENTIFIER_LENGTH as being bytes, not bits.

-- Verifier note --
Indeed, section 9 of RFC 7787 clearly specifies "DNCP_NODE_IDENTIFIER_LENGTH: The fixed length of a node identifier (in bytes)."

--------------------------------------
RFC7788 (draft-ietf-homenet-hncp-10)
--------------------------------------
Title               : Home Networking Control Protocol
Publication Date    : April 2016
Author(s)           : M. Stenberg, S. Barth, P. Pfister
Category            : PROPOSED STANDARD
Source              : Home Networking
Area                : Internet
Stream              : IETF
Verifying Party     : IESG